## bladerf 0.2015.07

=== debian/changelog ===
bladerf (0.2015.07-3) unstable; urgency=low

  * fix-bladerf-big-endian (Closes: #795456)
  * Update to 6919e9e

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 14 Aug 2015 10:23:34 -0400

bladerf (0.2015.07-2) unstable; urgency=medium

  * place optional installer packages in contrib (Closes: #795210)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 12 Aug 2015 00:53:59 -0400

bladerf (0.2015.07-1) unstable; urgency=low

  * New upstream release
  * Adopt upstream packaging, Thanks to Ryan Tucker <bladerf@ryantucker.us>
    - always install udev rules (no libbladerf-udev package necessary)
    - ship bladeRF-install-firmware script in bladerf package

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 08 Aug 2015 21:21:45 -0400

bladerf (0.2015.06-rc1) unstable; urgency=low

  * New upstream release
  * Adopt upstream packaging, Thanks to Ryan Tucker <bladerf@ryantucker.us>
    always install udev rules (no libbladerf-udev package necessary)
    
 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 01 Aug 2015 00:12:45 -0400

bladerf (2015.07) unstable; urgency=low

  * FPGA: Fixed bug where TX_NOW bursts could cause metadata/sample FIFO slips
  * libbladeRF: Devices can now be opened using only a subset of a serial number
  * libbladeRF: Fixed regressions in XB-200 filterbank selection and loopback support
  * libbladeRF: Corrected zero-padding at end of TX burst
  * FPGA bitstream v0.3.4, FX3 Firmware v1.8.0, libbladeRF v1.4.3, bladeRF-cli v1.2.1

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sat, 25 Jul 2015 16:35:38 -0400

bladerf (2015.06-rc1) unstable; urgency=low

  [ Jon Szymaniak ]
  * FPGA, libbladeRF: Configurable tuning modes: host and fpga
  * FPGA, libbladeRF: Scheduled retune: retune module at specified sample timestamp
  * FPGA, libbladeRF: Quick retune: retune using previously identified tuning parameters
  * FPGA, libbladeRF: Readback of current vctcxo trim DAC settting
  * bladeRF-cli: Added semicolon command separator support
  * bladeRF-cli: Added 'print trimdac' implementation

  [ Ryan Tucker ]
  * Fixup debian/changelog for rc1 

 -- Ryan Tucker <rtucker@gmail.com>  Wed, 01 Jul 2015 20:07:04 -0400

bladerf (2015.02) unstable; urgency=low

  * Build fixes

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sat, 28 Feb 2015 15:58:39 -0500

bladerf (2015.01-rc2) unstable; urgency=low

  * Fixed issue #95, which prevented device from being opened after an application crash
  * Fixes for undesired XB-200 signal attenuation and LMS signal integrity issues
  * Added BLADERF_LOG_LEVEL support and optional libbladeRF syslog support
  * FPGA bitstream v0.1.2, FX3 Firmware v1.8.0, libbladeRF v1.2.0, bladeRF-cli v1.1.1

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sat, 31 Jan 2015 17:02:35 -0500

bladerf (2014.12-rc1) unstable; urgency=low

  * Added libbladeRF API functions for finding and recovering devices in bootloader mode
  * Added BLADERF_SEARCH_DIR, current working directory, and binary dir to libbladeRF file search path
  * The bladeRF-cli -p/--probe option now returns a non-zero return code if no devices were found.
  * FPGA bitstream v0.1.2, FX3 Firmware v1.8.0, libbladeRF v1.1.0, bladeRF-cli v1.1.0

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Tue, 22 Dec 2014 14:06:49 -0500

bladerf (2014.11) unstable; urgency=low

  * First stable libbladeRF API release
  * FPGA bitstream v0.1.2, FX3 Firmware v1.8.0, libbladeRF v1.0.0, bladeRF-cli v1.0.0

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sun, 30 Nov 2014 16:18:33 -0500

bladerf (2014.11-rc3) unstable; urgency=low

  * Second of three release candidates for rescheduled 2014.11 release
  * FPGA bitstream v0.1.1, FX3 Firmware v1.7.1, libbladeRF v0.17.0, bladeRF-cli v0.12.0
  * Introduced timestamp metadata support in libbladeRF's synchronous interface
  * A majority of libbladeRF functions have been made thread-safe.
  * Fixes for DC calibration issues, deadlocks, crashes, and various defects.

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Thu, 30 Oct 2014 21:59:38 -0400

bladerf (2014.09-rc2) unstable; urgency=low

  * Tagged release 2014.09-rc2 at dddc72f
  * Second of three release candidates for 2014.09 release
  * FPGA bitstream v0.0.6, FX3 Firmware v1.7.1, libbladeRF v0.16.2, bladeRF-cli v0.11.1
  * Closes #284: [hdl (nios)] Defects present in gain/phase correction bug
  * Closes #271: Frequency readback is incorrect when using xb200 bug
  * Closes #270: Markdown-ify the bladeRF-cli interactive help
  * Closes #254: bladeRF-cli: Clean up print/set lnagain bug
  * Closes #249: [libbladeRF] LMS VTUNE not locking occasionally bug
  * Closes #248: [bladeRF-Cli] Fix 'correct' command parameter ranges, cleanup usage and help text bug
  * Closes #243: [libbladeRF] Remove bladerf_* calls from lms.c enhancement
  * Closes #234: [libbladeRF] Cleanup: Move bladerf_get/set_sampling to lms.c enhancement
  * Closes #220: libbladeRF: LMS SELOUT[1:0] may be left in an invalid state upon exiting loopback mode bug
  * Closes #210: [CLI] After a calibrate command is issued, the bladeRF transmits a carrier. bug

 -- Ryan Tucker <rtucker@gmail.com>  Thu, 24 Jul 2014 22:59:24 -0400

bladerf (2014.09-rc1) unstable; urgency=low

  * Tagged release 2014.09-rc1 at 9c651b5
  * First of two release candidates for 2014.09 release
  * FPGA bitstream v0.0.5, FX3 Firmware v1.7.0, libbladeRF v0.16.0, bladeRF-cli v0.11.0
  * Closes #268: [libbladeRF] Version check routines have flipped logic bug
  * Closes #257: [libbladeRF] Remove incorrect error_conv() call(s).
  * Closes #256: [libbladeRF] Intermittent FPGA load failures bug
  * Closes #246: [libbladerRF] Added an error code for "File not found" errors enhancement
  * Closes #245: [libbladeRF] bladerf_set_bandwidth() does not appropriately handle actual=NULL bug
  * Closes #244: [libbladeRF] Lock-up occurs if sync TX is configured but not used
  * Closes #241: TX Stream can lose initial buffers
  * Closes #237: [libbladeRF] XB-200 support and API calls required bug

