=== debian/changelog ===
bladerf (0.2016.01~rc1-3) unstable; urgency=medium

  * update to 1be8b76
    use upstream fixes for big-endian builds
  * single Debian kFreeBSD support patch
  * spelling fixes

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 12 Jan 2016 21:31:17 -0500

bladerf (0.2016.01~rc1-2) unstable; urgency=medium

  * Apply fixes for big-endian builds
  * Apply fixes for Debian kFreeBSD support

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Jan 2016 12:21:43 -0500

bladerf (0.2016.01~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    update to 6e35ea3

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Jan 2016 15:51:33 -0500

bladerf (0.2015.07-4) unstable; urgency=medium

  * Update to 2015.06-rc1.1-106-gc262e84

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Nov 2015 22:16:54 -0500
