=== debian/control ===
--- 
+++ 
@@ -1,22 +1,29 @@
 Source: bladerf
 Priority: extra
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>=9), cmake (>= 2.8.5), pkg-config, doxygen,
- libusb-1.0-0-dev (>= 1.0.12) [linux-any], libusb2-dev [kfreebsd-any],
- libtecla-dev | libtecla1-dev, libncurses5-dev, help2man, pandoc
+Build-Depends: cmake (>= 2.8.5),
+               debhelper (>=9),
+               doxygen,
+               help2man,
+               libncurses5-dev,
+               libtecla-dev | libtecla1-dev,
+               libusb-1.0-0-dev (>= 1.0.12) [linux-any],
+               libusb2-dev [kfreebsd-any],
+               pandoc,
+               pkg-config
 Standards-Version: 3.9.6
 Section: comm
 Homepage: http://www.nuand.com/bladeRF
-Vcs-Git: git://github.com/Nuand/bladeRF.git
-Vcs-Browser: https://github.com/Nuand/bladeRF
+Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-bladerf.git
+Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-bladerf.git/
 
 Package: libbladerf1
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0 (>= 1.0.12)
-Suggests: bladerf-fpga, bladerf-firmware
+Depends: libusb-1.0-0 (>= 1.0.12), ${misc:Depends}, ${shlibs:Depends}
+Suggests: bladerf, bladerf-firmware, bladerf-fpga
 Description: nuand bladeRF software-defined radio device
  The nuand bladeRF is an open-source software-defined radio (SDR) system,
  comprised of an RF transceiver, a field-programmable gate array (FPGA),
@@ -29,7 +36,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libbladerf1 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
+Depends: libbladerf1 (= ${binary:Version}),
+         libc6-dev | libc-dev,
+         ${misc:Depends}
 Description: nuand bladeRF software-defined radio device (header files)
  The nuand bladeRF is an open-source software-defined radio (SDR) system,
  comprised of an RF transceiver, a field-programmable gate array (FPGA),
@@ -40,10 +49,9 @@
  applications.
 
 Package: bladerf
-Section: comm
 Architecture: any
 Multi-Arch: foreign
-Depends: libbladerf1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libbladerf1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Provides: bladerf-host
 Conflicts: bladerf-host
 Replaces: bladerf-host
@@ -58,7 +66,7 @@
 Package: bladerf-fpga-hostedx40
 Section: contrib/comm
 Architecture: any
-Depends: wget, ${shlibs:Depends}, ${misc:Depends}
+Depends: wget, libbladerf1, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bladerf
 Suggests: bladerf-firmware
 Provides: bladerf-fpga
@@ -77,7 +85,7 @@
 Package: bladerf-fpga-hostedx115
 Section: contrib/comm
 Architecture: any
-Depends: wget, ${shlibs:Depends}, ${misc:Depends}
+Depends: wget, libbladerf1, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bladerf
 Suggests: bladerf-firmware
 Provides: bladerf-fpga
@@ -96,7 +104,7 @@
 Package: bladerf-firmware-fx3
 Section: contrib/comm
 Architecture: any
-Depends: wget, ${shlibs:Depends}, ${misc:Depends}
+Depends: wget, libbladerf1, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bladerf
 Suggests: bladerf-fpga
 Provides: bladerf-firmware
